package gui.panels.agenda;

import java.awt.Color;
import java.awt.Font;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.TitledBorder;

@SuppressWarnings("serial")
public class InfoField extends JPanel {
	
	private JLabel label;
	private TitledBorder border;
	
	public InfoField(String title, String text){
		label = new JLabel(text);
		border = new TitledBorder(title);
		this.add(label);
		this.setBorder(border);
		label.setFont(new Font("Arial", Font.PLAIN, 11));
		label.setForeground(new Color(51,51,51));
		border.setTitleFont(new Font("Arial", Font.PLAIN, 14));
		border.setTitleColor(new Color(51,51,51));
		this.setOpaque(false);
		this.setBackground(Color.WHITE);
	}
	
	public void setLabel(String text){
		label.setText(text);
	}
	
	public void  setBorder(String title){
		border.setTitle(title);
	}
}